cURL
curl --request GET \ --url https://api.hopnow.io/v1/accounts/{account_id}/fx/trades \ --header 'Authorization: Bearer <token>'
{ "items": [ { "id": "<string>", "object": "<string>", "account_id": "<string>", "quote_id": "<string>", "source_currency": "<string>", "target_currency": "<string>", "amount_type": "<string>", "source_amount": "<string>", "target_amount": "<string>", "all_in_rate": "<string>", "status": "<string>", "trade_type": "<string>", "executed_at": "<string>", "note": "<string>", "created": "<string>", "updated": "<string>" } ], "page": 123, "size": 123, "total": 123, "pages": 123 }
Retrieve a paginated list of executed foreign exchange trades
Documentation IndexFetch the complete documentation index at: https://apidocs.hopnow.io/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://apidocs.hopnow.io/llms.txt
Use this file to discover all available pages before exploring further.
acc_
Show FX Trade Fields
fxt_
"fx_trade"
source
target
pending
completed
failed
market
{ "items": [ { "id": "fxt_1234567890abcdef", "object": "fx_trade", "account_id": "acc_1234567890abcdef", "quote_id": "fxq_1234567890abcdef", "source_currency": "USD", "target_currency": "EUR", "amount_type": "source", "source_amount": "1000.00", "target_amount": "855.69", "all_in_rate": "0.85569", "status": "completed", "trade_type": "market", "executed_at": "2024-01-15T10:00:30Z", "note": null, "created": "2024-01-15T10:00:30Z", "updated": "2024-01-15T10:00:30Z" } ], "page": 1, "size": 10, "total": 1, "pages": 1 }